summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-12-01 23:00:56 -0300
committerPerberos <[email protected]>2011-12-01 23:00:56 -0300
commit1c69f467452c8f34d099019d463980ad57811192 (patch)
tree72ab1456032eb3c29f7fe327b5da6ac8e734507a /autogen.sh
downloadmate-polkit-1c69f467452c8f34d099019d463980ad57811192.tar.bz2
mate-polkit-1c69f467452c8f34d099019d463980ad57811192.tar.xz
moving from https://github.com/perberos/mate-desktop-environment
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..cc481b3
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="mate-polkit"
+
+(test -f $srcdir/src/Makefile.am) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which mate-autogen.sh || {
+ echo "You need to install mate-common from the MATE SVN repository"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.9
+USE_MATE2_MACROS=1
+USE_COMMON_DOC_BUILD=yes
+
+. mate-autogen.sh